<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// All we need to do set the settings in the Database.
$mod_settings = array(
	'highlight_unread' => 0,
	'highlight_unread_color' => '#00C000',
);
$replaceArray = array();

foreach ($mod_settings as $variable => $value)
	$replaceArray[] = array($variable, $value);

$smcFunc['db_insert']('replace',
	'{db_prefix}settings',
	array('variable' => 'string-255', 'value' => 'string-65534'),
	$replaceArray,
	array('variable')
);

// If we're using SSI, tell them we're done
if (SMF == 'SSI')
	echo 'Database changes are complete!';
?>